Subject: Re: bug#62734: Always fully rebuild autoloads in package-generate-autoloads

From: Philip Kaludercic <[email-masked]>
Date: Sun, 30 Apr 2023 16:45:12 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Philip Kaludercic <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Sun, 30 Apr 2023 09:17:16 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> > What happens if a package has no autoloads?  The doc string says in
>> >> > that case passing EXTRA-DATA will produce OUTPUT-FILE regardless.
>> >> > Does your patch handle that?  (It's hard to tell, given all the
>> >> > whitespace changes in the patch.)
>> >> 
>> >> It would, as the else-case of the if branch I am proposing to eliminate
>> >> would still insert the EXTRA-DATA.
>> >
>> > And if EXTRA-DATA is nil, then will we generate an empty OUTPUT file?
>> 
>> No, we still generate the right file with the right information (in this
>> case just a `register-definition-prefixes' invocation).
>
> OK, thanks.  Then please make sure this change survives both a
> bootstrap and a "normal" build (where a bunch of *.el files need their
> autoloads updated), and if so, please install on the emacs-29 branch.

Done, I have been testing it for a better part of the day and from what
I saw all behaved the way it should.

Thanks to Leo for noticing the problem in the first place, package-vc
also appears to be doing the right thing now.